site_name: St1t.ru
site_url: https://st1t.ru/
repo_url: https://git.st1t.ru/thest1tch/docs
repo_name: thest1tch/docs
edit_uri: edit/main/docs/

nav:
  - Привет!: index.md
  - 🐳 Docker: 
    - Подготовка:
      - Установка: docker.md
      - Безопасность: docker/security.md
    - В начале:
      - Traefik: docker/traefik.md
      - Traefik Forward Auth: docker/traefik-forward-auth.md
    - Сервисы: 
      - Linx Server: docker/linx-server.md
      - Samba: docker/samba.md
      - Redis: docker/redis.md
      - MotionEye: docker/motioneye.md
      - Plex: 
        - docker/plex.md
        - Plex Meta Manager: docker/plex-mm.md
        - Plex Trakt Sync: docker/plextraktsync.md
      - Nextcloud:
        - docker/nextcloud/index.md
        - During Scan: docker/nextcloud/during-scan.md
        - PHP imagick: docker/nextcloud/php-imagick.md
      - Игровые сервера:
        - Valheim: docker/games/valheim.md
  - Software:
    - Ubuntu 22:
      - software/ubuntu/index.md
      - Команды: software/ubuntu/commands.md
      - Ошибки консоли: software/ubuntu/errors.md
      - Добавление диска: software/ubuntu/add-disk.md
      - Добавление S3: software/ubuntu/add-s3.md
      - LVM: software/ubuntu/lvm.md
      - HPE:
          - Management Component Pack: software/ubuntu/hpe/hpe-mcp.md
      - MariaDB: software/ubuntu/mariadb.md
      - Telegraf: software/ubuntu/telegraf.md
      - Docker+UFW: software/ubuntu/docker-ufw.md
      - Монтирование CIFS: software/ubuntu/mount-cifs.md
      - Ubuntu bash aliases: software/ubuntu/bash-aliases.md
      - Установка xRDP: software/ubuntu/xrdp.md
      - Использование Proxy: software/ubuntu/proxy-system.md
      - Watchdog: software/ubuntu/watchdog.md
      - Backup:
        - Google Диск: software/ubuntu/backup/google.md
        - Yandex: software/ubuntu/backup/yandex.md
        - Базы данных: software/ubuntu/backup/db.md
      - WebDAV:
        - Google Диск: software/ubuntu/webdav/google.md
        - Yandex: software/ubuntu/webdav/yandex.md
    - Powershell:
      - software/powershell/index.md
      - Active Directiry: software/powershell/ad.md
      - Stop-Process: software/powershell/stop-process.md
      - Count-Pages: software/powershell/count-pages.md
      - Send-Mail: software/powershell/send-mail.md
    - Home Assistant:
      - Будильник: software/hass/alarm-check.md
      - Пакеты конфигураций: software/hass/package-conf.md
    - Windows:
      - Servers:
        - Удаление RUS US: software/win/serv/rusus.md
        - CleanMGR: software/win/serv/cleanmgr.md
        - SPP + Hyper-V: software/win/serv/spp-hyperv.md
        - VHD: software/win/serv/vhd.md
        - WIM в ESD: software/win/serv/wim-esd.md
      - Desktop:
        - Send To: software/win/desk/sendto.md
        - Удаление hiberfil.sys: software/win/desk/del-hiberfil.md
        - Удаление папок в МойКомп: software/win/desk/del-mycomp.md
        - Удаление папки WindowsApps: software/win/desk/del-winapps.md
        - Получить код OEM: software/win/desk/get-key-oem.md
        - Не работает клавиша PrnScr: software/win/desk/prnscr.md
        - TWINUI в свойствах файла: software/win/desk/twinui.md
        - KMS: software/win/desk/kms.md
        - Установка DialUX: software/win/desk/dialux.md
  - Proxmox:
      - CT Template: proxmox/ct-template.md
  - Другое:
    - SSL для сайта: other/ssl-for-site.md
    - ТСД:
      - other/tsd/index.md
      - Переустановка ОС:
        - CE 5.0: other/tsd/reinstall-os/ce5.md
        - CE 7.0: other/tsd/reinstall-os/ce7.md
        - WM 6.1: other/tsd/reinstall-os/m61.md
      - Настройка ТСД: other/tsd/config-ce.md
      - Настройка Wi-Fi: other/tsd/config-wifi.md
      - Настройка TelnetCE: other/tsd/config-telnetce.md
      - Установка TelnetCE: other/tsd/install-telnetce.md
      - Траблшутинг: other/tsd/troubleshooting.md
    - Synology:
      - HPE Microserver Gen10: other/synology/install-hpe-ms-gen10.md
    - Office:
      - Excel:
        - other/office/excel/index.md
        - VBA Защита страницы: other/office/excel/vba-security-page.md
        - VBA Исправление примечаний: other/office/excel/vba-align-comments.md
        - VBA Создание файла: other/office/excel/vba-create-file.md
        - VBA Открытие файла: other/office/excel/vba-open-file.md
        - VBA Отправка почты: other/office/excel/vba-send-email.md
        - VBA Прогресс бар: other/office/excel/vba-progress-bar.md
        - VBA Удаление пароля: other/office/excel/vba-remove-pass.md
    - Телефоны:
      - Grandstream:
        - Provisioning через TFTP: other/phone/grandstream/provisioning.md
        - Пример конфигурации: other/phone/grandstream/example-config.md
      - Ipecs-MG:
        - Общие настройки: other/phone/ipecs-mg/general.md
        - Книги: other/phone/ipecs-mg/books.md
        - Голосовые приветствия: other/phone/ipecs-mg/voice.md
  - Сеть:
    - Утилиты:
      - Wtraf: network/tools/wtraf.md
      - Nmap: network/tools/nmap.md
    - Mikrotik:
      - Wireguard: network/mikrotik/wireguard.md
      - 4G Модем: network/mikrotik/4g.md
      - Cloud Hosted Router: network/mikrotik/chr.md
      - DHCP: network/mikrotik/dhcp.md
      - Split-DNS: network/mikrotik/split-dns.md
      - Hairpin NAT: network/mikrotik/hairpin-nat.md
      - UPnP: network/mikrotik/upnp.md
    - Ubiquiti:
      - Добавление новой точки: network/ubi/add-new-ap.md
      - Ошибка обновления: network/ubi/failed-update.md
  - Блог:
    - Blog: blog/index.md


theme:
  name: material
  theme_dir: overrides
  language: ru
  logo: images/st1t_white.png
  favicon: images/st1t_blue.png
  icon:
    repo: simple/gitea
    #logo: images/st1t_white.png
  palette:
    # Palette toggle for automatic mode
    - media: "(prefers-color-scheme)"
      scheme: default
      toggle:
        icon: material/brightness-auto
        name: Авто

    # Toggle light mode 
    - media: "(prefers-color-scheme: light)"       
      scheme: default
      #primary: blue
      #accent: teal
      toggle:
        icon: material/brightness-7
        name: Испепели мои глаза!

    # Toggle dark mode  
    - media: "(prefers-color-scheme: dark)"      
      scheme: slate
      #primary: blue
      #accent: teal
      toggle:
        icon: material/brightness-4
        name: Я люблю свои глаза!

  font:
    code: Jet Brains Mono

  features:
    - navigation.sections # prevents collapsible sections
    - navigation.indexes # section index pages
    #- navigation.expand #expands sections by default
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.top
    - navigation.pruning
    - navigation.path
    - search.suggest
    - search.share
    - content.code.annotate
    - content.code.copy
    - header.autohide
    - announce.dismiss
    - toc.follow

plugins:
  - search:
      lang: 
        - ru
        - en
  - glightbox
  - blogging:
      dirs: # The directories to be included
        - blog
  - git-revision-date-localized:
      type: custom
      custom_format: "%d.%m.%Y"
      fallback_to_build_date: true
      enable_creation_date: true
      locale: ru
      exclude:
        - index.md  

markdown_extensions:
  - abbr
  - admonition # enables coloured blocks mid article
  - attr_list # improves image handling
  - pymdownx.details # enables collapsible admonitions
  - footnotes
  - meta # adds support for front matter
  - toc:
      permalink: false
      toc_depth: 3
  - pymdownx.highlight: # code highlighting
      linenums: true
  - pymdownx.tabbed: # enables tabs for embedded blocks
      alternate_style: true 
  - pymdownx.snippets
  - pymdownx.superfences # allows for the nesting of code blocks inside other blocks
  - pymdownx.keys

copyright: 2023 &copy; TheSt1tch - Licensed under GPLv3

extra:
  status:
    new: Recently added
    deprecated: Deprecated
  social:
    - icon: fontawesome/brands/discord
      link: https://discord.gg/xtsgTBf
  analytics:
    provider: google
    property: G-E6GYT2D13K